Subject: Re: DTC 1.0.0 Release Coming?

From: David Gibson <[email-masked]>
Date: Fri, 10 Aug 2007 12:59:44 +1000

On Thu, Aug 09, 2007 at 08:37:54PM -0500, Josh Boyer wrote:
> On Fri, 10 Aug 2007 11:30:01 +1000
> David Gibson <[email-masked]> wrote:
> 
> > > Except didn't you say you were going to work with Stephen to get DTC
> > > into the kernel source itself?  Keeping things similar to Kbuild might
> > > help in that effort.
> > 
> > Actually, after discussions with Stephen and Paulus, we decided not to
> > take this route.  In any case having Kbuild like versioning wouldn't
> > actually help us any in integrating into a full Kbuild system.
> 
> Can you elaborate why you decided not to?  I'm just curious.

We decided that since a formal dtc release was imminent, it would be
simpler to make dtc a new kernel build requirement, rather than
integrate the substantial blob of dtc code into the kernel tree and
then have to deal with the maintenance / synchronization issues
between the in-kernel and upstream versions.

> > > > Have a look at the patch I posted.  I haven't sufficiently tested it
> > > > yet, but it should be able to generated version info for a tarball too
> > > > (provided the .git-manifest file is included, and I'm intending that
> > > > will be build by a make dist target).  It will give both the
> > > > git-derived based version, and a file content derived hash so we can
> > > > robustly tell different builds apart, all with less code than the
> > > > current system.
> > > 
> > > That may be.  But I don't see the current approach being too much of a
> > > problem either.  Especially given that it's already there and it
> > > works.  Oh, and you sent out your patch saying it wasn't ready for
> > > merge and with no sign off.  Small but important issues to fix I'd
> > > think.
> > 
> > Yeah, it lacks a make dist target, and needs a bit more work to
> > support that properly.  Never mind, I'll revisit this post the 1.0
> > release.
> 
> Ok.
> 
> josh
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson